Bug 1853706 - Pairs list component needs hover to for delete row action
Summary: Pairs list component needs hover to for delete row action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-03 15:21 UTC by Matt
Modified: 2020-10-27 16:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The name value editor "-" (delete) does not provide a tooltip for a user to better understand the function of this action. Consequence: It may not be clear to the user what the "-" icon does. Fix: Add a tooltip to the "-" icon so that on hover a textual description of the icon appears. Result: With the added tooltip, the name value editor "-" (delete) is easier to understand.
Clone Of:
Environment:
Last Closed: 2020-10-27 16:12:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification screenshot (86.25 KB, image/png)
2020-07-14 07:44 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5965 0 None closed Bug 1853706: Add tooltip to name value editor delete button 2020-10-15 16:54:49 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:12:26 UTC

Description Matt 2020-07-03 15:21:44 UTC
Description of problem:
When looking at the Deployments > environment tab the "-" (delete) does not provide a tool tip for a user to better understand the function of this action.

This is also something in CNV that has come up while doing QE testing.

While looking at the code for the icon it's also not in line with how PatternFly suggests these types of semantic icons should be marked up. See here:
https://www.patternfly.org/v4/get-started/accessibility-guide#icons

Comment 1 Robb Hamilton 2020-07-08 12:25:36 UTC
Will address in the next sprint.

Comment 5 XiaochuanWang 2020-07-14 07:44:31 UTC
Created attachment 1700975 [details]
Verification screenshot

Comment 6 XiaochuanWang 2020-07-14 07:45:12 UTC
As attached screenshot, this could be verified.
Tested on 4.6.0-0.nightly-2020-07-14-004201

Comment 8 errata-xmlrpc 2020-10-27 16:12:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.